PSHELL3(1)

NAME
pshell3 - Python 3 Pyramid command

DESCRIPTION
usage: pshell3 [-h] [-p PYTHON_SHELL] [-l] [--setup SETUP]

    [config_uri] [config_vars ...]

Open an interactive shell with a Pyramid app loaded. This command accepts one positional argument named "config_uri" which specifies the PasteDeploy config file to use for the interactive shell. The format is "inifile#name". If the name is left off, the Pyramid default application will be assumed. Example: "pshell myapp.ini#main".

If you do not point the loader directly at the section of the ini file containing your Pyramid application, the command will attempt to find the app for you. If you are loading a pipeline that contains more than one Pyramid application within it, the loader will use the last one.

  positional arguments:

config_uri
    The URI to the configuration file.

config_vars
    Variables required by the config file. For example, `http_port=%(http_port)s` would expect `http_port=8080` to be passed here.

  optional arguments:

-h, --help
    show this help message and exit

-p PYTHON_SHELL, --python-shell PYTHON_SHELL
    Select the shell to use. A list of possible shells is available using the --list-shells option.

-l, --list-shells
    List all available shells.

--setup SETUP
    A callable that will be passed the environment before it is made available to the shell. This option will override the 'setup' key in the [pshell] ini section.